{
  "name": "fns_front2",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "serve": "eslint src/. && vue-cli-service serve --mode eruda",
    "serveReview": "eslint src/. && vue-cli-service serve --mode DevReview",
    "build": "eslint src/. && vue-cli-service build --report",
    "buildReview": "eslint src/. && vue-cli-service build --mode ProReview",
    "bd": "eslint src/. && vue-cli-service build --mode eruda && bash ./deploy.sh",
    "bd_110": "eslint src/. && vue-cli-service build & bash ./deploy_110.sh",
    "prepare": "husky install"
  },
  "dependencies": {
    "@fingerprintjs/fingerprintjs": "^3.3.0",
    "@quasar/extras": "^1.0.0",
    "ali-oss": "^6.16.0",
    "autosize": "^5.0.1",
    "axios": "^0.21.1",
    "bitcoinjs-lib": "^5.2.0",
    "clipboard": "^2.0.8",
    "core-js": "^3.6.5",
    "dayjs": "^1.10.7",
    "dexie": "^3.0.3",
    "enc-utils": "^3.0.0",
    "js-base64": "^3.7.2",
    "node-sass": "^4.14.1",
    "prepend-http": "^4.0.0",
    "quasar": "^2.0.4",
    "sass-loader": "^8.0.0",
    "secp256k1": "^4.0.2",
    "uuid": "^8.3.2",
    "vant": "^3.2.0",
    "vue": "^3.0.0",
    "vue-cropperjs": "^5.0.0",
    "vue-router": "^4.0.0-0",
    "vuex": "^4.0.0-0"
  },
  "devDependencies": {
    "@types/ali-oss": "^6.0.10",
    "@types/autosize": "^4.0.0",
    "@types/secp256k1": "^4.0.3",
    "@types/uuid": "^8.3.1",
    "@types/vue-cropperjs": "^4.1.2",
    "@typescript-eslint/eslint-plugin": "^5.5.0",
    "@typescript-eslint/parser": "^5.5.0",
    "@vue/cli-plugin-babel": "~4.5.0",
    "@vue/cli-plugin-router": "~4.5.0",
    "@vue/cli-plugin-typescript": "~4.5.0",
    "@vue/cli-plugin-vuex": "~4.5.0",
    "@vue/cli-service": "~4.5.0",
    "@vue/compiler-sfc": "^3.0.0",
    "autoprefixer": "^9.8.6",
    "babel-plugin-import": "^1.13.3",
    "compressorjs": "^1.0.7",
    "cz-conventional-changelog": "^3.3.0",
    "eslint": "^8.3.0",
    "eslint-plugin-vue": "^8.1.1",
    "husky": "^7.0.4",
    "less": "^3.0.4",
    "less-loader": "^5.0.0",
    "lint-staged": "^12.1.1",
    "pinia": "^2.0.0-alpha.10",
    "plyr": "^3.6.7",
    "postcss": "^7.0.36",
    "postcss-px-to-viewport-opt": "0.0.4",
    "postcss-remove-declaration": "^1.0.0",
    "postcss-viewport-units": "^0.1.6",
    "prettier": "^2.4.1",
    "protobufjs": "^6.10.2",
    "swiper": "^6.5.7",
    "tailwindcss": "npm:@tailwindcss/postcss7-compat@^2.2.7",
    "typescript": "~4.1.5"
  },
  "lint-staged": {
    "*.{js,css,md,vue,ts}": "prettier --write"
  },
  "config": {
    "commitizen": {
      "path": "./node_modules/cz-conventional-changelog"
    }
  }
}
